worker capacity
curl --request GET \
--url https://engine.example.com/api/v1/workers/capacityimport requests
url = "https://engine.example.com/api/v1/workers/capacity"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://engine.example.com/api/v1/workers/capacity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/workers/capacity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/workers/capacity"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://engine.example.com/api/v1/workers/capacity")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/workers/capacity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"admission": {
"draining": true,
"limit": 1,
"unfinished_tasks": 1
},
"profiles": [
{
"busy": 1,
"draining": 1,
"failures": [
{
"allocation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"retry_allowed": true
}
],
"idle": 1,
"is_default": true,
"name": "<string>",
"paused": true,
"previous_resources_workers": 1,
"provisioner": "<string>",
"queued": 1,
"recovering": 1,
"resources": {
"cpu_millicores": 2,
"memory_bytes": 2,
"tuning": {
"batch_rows": 2,
"file_read_concurrency": 2,
"input_prefetch_batches": 1,
"output_buffer_batches": 2,
"query_memory_bytes": 2,
"spill_bytes": 1,
"threads": 2,
"write_batch_rows": 2,
"write_parallelism": 2,
"native_parquet_scan": true
}
},
"revision": 1,
"sizing": {
"mode": "fixed",
"workers": 1
},
"starting": 1
}
]
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}Worker capacity
worker capacity. GET /api/v1/workers/capacity. Uses the same payload, validation, revision checks and response as the unified HTTP API.
worker capacity
curl --request GET \
--url https://engine.example.com/api/v1/workers/capacityimport requests
url = "https://engine.example.com/api/v1/workers/capacity"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://engine.example.com/api/v1/workers/capacity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/workers/capacity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/workers/capacity"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://engine.example.com/api/v1/workers/capacity")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/workers/capacity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"admission": {
"draining": true,
"limit": 1,
"unfinished_tasks": 1
},
"profiles": [
{
"busy": 1,
"draining": 1,
"failures": [
{
"allocation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"retry_allowed": true
}
],
"idle": 1,
"is_default": true,
"name": "<string>",
"paused": true,
"previous_resources_workers": 1,
"provisioner": "<string>",
"queued": 1,
"recovering": 1,
"resources": {
"cpu_millicores": 2,
"memory_bytes": 2,
"tuning": {
"batch_rows": 2,
"file_read_concurrency": 2,
"input_prefetch_batches": 1,
"output_buffer_batches": 2,
"query_memory_bytes": 2,
"spill_bytes": 1,
"threads": 2,
"write_batch_rows": 2,
"write_parallelism": 2,
"native_parquet_scan": true
}
},
"revision": 1,
"sizing": {
"mode": "fixed",
"workers": 1
},
"starting": 1
}
]
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}ReferenceApplies to: Unified engine deployments
Related guidance
Addresses and access · Request identity · Errors and recovery · Pagination and resultsLast modified on November 4, 2026